/***********
Copyright (c) 2014 PatheticCockroach - http://www.patheticcockroach.com

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is furnished
to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
***********/

// ==UserScript==
// @name			GNT Ad Cleaner
// @namespace		GNT_Ad_Cleaner
// @description		Remove remaining ad spaces in GNT after Ad Block emptied them
// @version			6
// @encoding		UTF-8
// @include			http*://*.generation-nt.com/*
// @grant			none
// @author			PatheticCockroach - http://www.patheticcockroach.com
// @license			MIT License
// @url				http://notepad.patheticcockroach.com/2988/a-few-ad-killing-greasemonkey-scripts/
// @updateURL		http://img.patheticcockroach.com/01/gms/GNT_Ad_Cleaner.user.js
// ==/UserScript==

//var byId = function( id ) { return document.getElementById( id ); }; // http://stackoverflow.com/questions/6398787/javascript-shorthand-for-getelementbyid#6398800
var GNT_Ad_CleanerCount=0;
var GNT_Ad_Cleaner={
	start : function(){
		// bad divs
		var pageDivs=document.getElementsByTagName('div');
		var ads=["pub728x90","premium_promo","pubie9news","gnt-msg","gnt-msg-img","gnt-msg-carre"];
		for(n=0;n<pageDivs.length;n++) {
			thisDiv=pageDivs[n];
			//if(thisDiv.className!='') {alert(thisDiv.className + n);}
			/*for(i=0;i<ads.length;i++) {
				if(thisDiv.className==ads[i]) {
					thisDiv.style.display='none';
				}
			}*/
			if(ads.indexOf(thisDiv.className)!=-1) {
				thisDiv.style.display='none';
				thisDiv.innerHTML='';
			}
			/*for(i=0;i<ads.length;i++) {
				if(thisDiv.className.indexOf(ads[i])!=-1) {
					thisDiv.style.display='none';
				}
			}*/
		}
		// bad navs
		document.body.style.background = "none";
		var pageDivs=document.getElementsByTagName('nav');
		var ads=["gnt-msg-carre","gnt-msg-pave","gnt-carre-msg"];
		for(n=0;n<pageDivs.length;n++) {
			thisDiv=pageDivs[n];
			for(j=0;j<ads.length;j++) {
				if(thisDiv.innerHTML.search(ads[j])!=-1) {
					thisDiv.style.display='none';
					thisDiv.innerHTML='';
				}
			}
		}
		// bad pics
		var pageDivs=document.getElementsByTagName('img');
		var ads=["premium_pub"];
		for(n=0;n<pageDivs.length;n++) {
			thisDiv=pageDivs[n];
			for(j=0;j<ads.length;j++) {
				if(thisDiv.src.search(ads[j])!=-1) {
					thisDiv.style.display='none';
					thisDiv.parent.style.display='none';
				}
			}
		}
		// only disable clicking on these divs (NB: doesn't work yet :/)
		var ads=["ctBoc"];
		for(n=0;n<ads.length;n++) {
			$('#'+ads).click('void(0)');
			document.getElementById(ads[n]).onclick=Function("void(0)");
		}
		// bad articles
		var pageDivs=document.getElementsByTagName('article');
		var ads=["ntContentSub"];
		for(n=0;n<pageDivs.length;n++) {
			thisDiv=pageDivs[n];
			for(j=0;j<ads.length;j++) {//thisDiv.style.display='none';
				if(thisDiv.innerHTML.search(ads[j])!=-1) {
					thisDiv.style.display='none';
					thisDiv.innerHTML='';
				}
			}
		}
		if(GNT_Ad_CleanerCount++<50) setTimeout(GNT_Ad_Cleaner.start,100);
	}
}
GNT_Ad_Cleaner.start();